camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <>
Subject Re: Scala DSL with Scala 2.10
Date Sat, 26 Jan 2013 08:34:15 GMT
On Fri, Jan 25, 2013 at 5:05 PM, Henryk Konsek <> wrote:
>> Totally agree. The Scala way to do is to build and publish camel-scala_2.9.2-
>> 2.11.0.jar and camel-scala_2.10-2.11.0.jar
> I reopened the Scala 2.10 issue [1] so we might settle an agreement on
> how Scala backwards compatibility should be handled in Camel.
> +1 for renaming existing Scala module to camel-scala_2.9.2 and
> creating new camel-scala_2.10 module (by cloning).
> [1]

Yes we can take a look what is feasible to have both a 2.9 and 2.10
scala binary compatible of camel-scala
for the upcoming 2.11 release of Camel.

For the scalate project it looks as if they branched the source code
and cut a release of the branch especially for 2.9 scala

This is not possible with how we cut releases at ASF Camel as its one
giant release cycle.
So I dont think we have an easy way of doing this.

There must be other project in the same unfortunate situation about Scala

Anyone knows of other Maven based projects what they do?

> --
> Henryk Konsek

Claus Ibsen
Red Hat, Inc.
FuseSource is now part of Red Hat
Twitter: davsclaus
Author of Camel in Action:

View raw message